.headline-button {
  width: 100%;
  // padding: 20px;
  display: flex;
  justify-content: space-between;
}

.product-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 20px;
}

.product-item {
  height: 770px;
  display: flex;
  flex-direction: column;
  border: 1px solid rgb(175, 181, 176);
  padding: 10px;
  text-align: center;
  background: rgb(184, 213, 227);
  border-radius: 16px;
}

.product-item h2 {
  margin: 5px 0;
}

.product-item p {
  margin: 7px 0;
}


.product-item:hover {
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}

.image-block {
  height: 500px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.product-item img {
  width: 150px;
}

.fav-block {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.fav-block p {
  margin: 10px 0;
}

.product-table {
  display: table;
  width: 100%;
}

.product-table>* {
  display: table-row;
}

.product-table>*>* {
  display: table-cell;
  vertical-align: middle;
  border: 1px solid rgb(175, 181, 176);
  padding: 10px;
  text-align: center;
  background: rgb(184, 213, 227);
}

.product-table .product-item {
  height: auto;
}

.product-table img {
  width: 100px;
}

.product-table>* .image-block{
  height: auto;
}

.toggle-button {
  width: 180px;
  padding: 10px;
  margin: 10px 5px;
  border: none;
  color: rgb(6, 6, 6);
  cursor: pointer;
  font-size: 16px;
  border-radius: 5px;
  background-color: rgb(30, 245, 27);
  align-self: center;
}